## integrit 1.06.06

=== cdb-0.75/Makefile ===
# Don't edit Makefile! Use conf-* for configuration.

SHELL=/bin/sh

default: it

alloc.a: \
makelib alloc.o
	./makelib alloc.a alloc.o

alloc.o: \
compile alloc.c alloc.h error.h
	./compile alloc.c

auto-str: \
load auto-str.o buffer.a unix.a byte.a
	./load auto-str buffer.a unix.a byte.a 

auto-str.o: \
compile auto-str.c buffer.h readwrite.h exit.h
	./compile auto-str.c

auto_home.c: \
auto-str conf-home
	./auto-str auto_home `head -1 conf-home` > auto_home.c

auto_home.o: \
compile auto_home.c
	./compile auto_home.c

buffer.a: \
makelib strerr_sys.o buffer.o buffer_put.o buffer_2.o strerr_die.o \
buffer_get.o buffer_copy.o buffer_1.o buffer_0.o buffer_1s.o
	./makelib buffer.a strerr_sys.o buffer.o buffer_put.o \
	buffer_2.o strerr_die.o buffer_get.o buffer_copy.o \
	buffer_1.o buffer_0.o buffer_1s.o

buffer.o: \
compile buffer.c buffer.h
	./compile buffer.c

buffer_0.o: \
compile buffer_0.c readwrite.h buffer.h
	./compile buffer_0.c

buffer_1.o: \
compile buffer_1.c readwrite.h buffer.h
	./compile buffer_1.c

buffer_1s.o: \
compile buffer_1s.c readwrite.h buffer.h
	./compile buffer_1s.c

buffer_2.o: \
compile buffer_2.c readwrite.h buffer.h
	./compile buffer_2.c

buffer_copy.o: \
compile buffer_copy.c buffer.h
	./compile buffer_copy.c

buffer_get.o: \
compile buffer_get.c buffer.h byte.h error.h
	./compile buffer_get.c

buffer_put.o: \
compile buffer_put.c buffer.h str.h byte.h error.h
	./compile buffer_put.c

byte.a: \
makelib byte_copy.o byte_cr.o str_len.o fmt_ulong.o uint32_unpack.o \
byte_diff.o uint32_pack.o scan_ulong.o
	./makelib byte.a byte_copy.o byte_cr.o str_len.o \
	fmt_ulong.o uint32_unpack.o byte_diff.o uint32_pack.o \
	scan_ulong.o

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h
	./compile byte_diff.c

cdb.a: \
makelib cdb.o cdb_hash.o cdb_make.o
	./makelib cdb.a cdb.o cdb_hash.o cdb_make.o

cdb.o: \
compile cdb.c readwrite.h error.h seek.h byte.h cdb.h uint32.h
	./compile cdb.c

cdb_hash.o: \
compile cdb_hash.c cdb.h uint32.h
	./compile cdb_hash.c

cdb_make.o: \
compile cdb_make.c readwrite.h seek.h error.h alloc.h cdb.h uint32.h \
cdb_make.h buffer.h uint32.h
	./compile cdb_make.c

cdbdump: \
load cdbdump.o buffer.a unix.a byte.a
	./load cdbdump buffer.a unix.a byte.a 

cdbdump.o: \
compile cdbdump.c uint32.h fmt.h buffer.h strerr.h
	./compile cdbdump.c

cdbget: \
load cdbget.o cdb.a buffer.a unix.a byte.a
	./load cdbget cdb.a buffer.a unix.a byte.a 

cdbget.o: \
compile cdbget.c exit.h scan.h str.h buffer.h strerr.h cdb.h uint32.h
	./compile cdbget.c

cdbmake: \
load cdbmake.o cdb.a alloc.a buffer.a unix.a byte.a
	./load cdbmake cdb.a alloc.a buffer.a unix.a byte.a 

cdbmake-12: \
warn-auto.sh cdbmake-12.sh conf-home
	cat warn-auto.sh cdbmake-12.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> cdbmake-12
	chmod 755 cdbmake-12

cdbmake-sv: \
warn-auto.sh cdbmake-sv.sh conf-home
	cat warn-auto.sh cdbmake-sv.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> cdbmake-sv
	chmod 755 cdbmake-sv

cdbmake.o: \
compile cdbmake.c error.h open.h strerr.h cdb_make.h buffer.h \
uint32.h cdb.h uint32.h
	./compile cdbmake.c

cdbstats: \
load cdbstats.o cdb.a buffer.a unix.a byte.a
	./load cdbstats cdb.a buffer.a unix.a byte.a 

cdbstats.o: \
compile cdbstats.c uint32.h fmt.h buffer.h strerr.h seek.h cdb.h \
uint32.h
	./compile cdbstats.c

cdbtest: \
load cdbtest.o cdb.a buffer.a unix.a byte.a
	./load cdbtest cdb.a buffer.a unix.a byte.a 

cdbtest.o: \
compile cdbtest.c uint32.h fmt.h buffer.h strerr.h seek.h cdb.h \
uint32.h
	./compile cdbtest.c

check: \
it instcheck
	./instcheck

compile: \
warn-auto.sh conf-cc
	( cat warn-auto.sh; \
	echo exec "`head -1 conf-cc`" '-c $${1+"$$@"}' \
	) > compile
	chmod 755 compile

error.o: \
compile error.c error.h
	./compile error.c

error_str.o: \
compile error_str.c error.h
	./compile error_str.c

fmt_ulong.o: \
compile fmt_ulong.c fmt.h
	./compile fmt_ulong.c

hier.o: \
compile hier.c auto_home.h
	./compile hier.c

install: \
load install.o hier.o auto_home.o buffer.a unix.a byte.a
	./load install hier.o auto_home.o buffer.a unix.a byte.a 

install.o: \
compile install.c buffer.h strerr.h error.h open.h readwrite.h exit.h
	./compile install.c

instcheck: \
load instcheck.o hier.o auto_home.o buffer.a unix.a byte.a
	./load instcheck hier.o auto_home.o buffer.a unix.a byte.a 

instcheck.o: \
compile instcheck.c strerr.h error.h readwrite.h exit.h
	./compile instcheck.c

it: \
prog install instcheck

load: \
warn-auto.sh conf-ld
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo exec "`head -1 conf-ld`" \
	'-o "$$main" "$$main".o $${1+"$$@"}' \
	) > load
	chmod 755 load

makelib: \
warn-auto.sh systype
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo 'rm -f "$$main"'; \
	echo 'ar cr "$$main" $${1+"$$@"}'; \
	case "`cat systype`" in \
	sunos-5.*) ;; \
	unix_sv*) ;; \
	irix64-*) ;; \
	irix-*) ;; \
	dgux-*) ;; \
	hp-ux-*) ;; \
	sco*) ;; \
	*) echo 'ranlib "$$main"' ;; \
	esac \
	) > makelib
	chmod 755 makelib

open_read.o: \
compile open_read.c open.h
	./compile open_read.c

open_trunc.o: \
compile open_trunc.c open.h
	./compile open_trunc.c

prog: \
cdbget cdbmake cdbdump cdbstats cdbtest cdbmake-12 cdbmake-sv rts \
testzero

rts: \
warn-auto.sh rts.sh conf-home
	cat warn-auto.sh rts.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> rts
	chmod 755 rts

scan_ulong.o: \
compile scan_ulong.c scan.h
	./compile scan_ulong.c

seek_cur.o: \
compile seek_cur.c seek.h
	./compile seek_cur.c

seek_set.o: \
compile seek_set.c seek.h
	./compile seek_set.c

setup: \
it install
	./install

str_len.o: \
compile str_len.c str.h
	./compile str_len.c

strerr_die.o: \
compile strerr_die.c buffer.h exit.h strerr.h
	./compile strerr_die.c

strerr_sys.o: \
compile strerr_sys.c error.h strerr.h
	./compile strerr_sys.c

systype: \
find-systype.sh conf-cc conf-ld trycpp.c x86cpuid.c
	( cat warn-auto.sh; \
	echo CC=\'`head -1 conf-cc`\'; \
	echo LD=\'`head -1 conf-ld`\'; \
	cat find-systype.sh; \
	) | sh > systype

testzero: \
load testzero.o cdb.a alloc.a buffer.a unix.a byte.a
	./load testzero cdb.a alloc.a buffer.a unix.a byte.a 

testzero.o: \
compile testzero.c uint32.h scan.h strerr.h cdb_make.h buffer.h \
uint32.h
	./compile testzero.c

uint32.h: \
tryulong32.c compile load uint32.h1 uint32.h2
	( ( ./compile tryulong32.c && ./load tryulong32 && \
	./tryulong32 ) >/dev/null 2>&1 \
	&& cat uint32.h2 || cat uint32.h1 ) > uint32.h
	rm -f tryulong32.o tryulong32

uint32_pack.o: \
compile uint32_pack.c uint32.h
	./compile uint32_pack.c

uint32_unpack.o: \
compile uint32_unpack.c uint32.h
	./compile uint32_unpack.c

unix.a: \
makelib error.o open_read.o open_trunc.o error_str.o seek_set.o \
seek_cur.o
	./makelib unix.a error.o open_read.o open_trunc.o \
	error_str.o seek_set.o seek_cur.o

## integrit 4.1

=== debian/changelog ===
integrit (4.1-6) unstable; urgency=medium

  * QA upload.
  * Remove most of the custom packaging code with debhelper classic.
    Left a few things as they were (like the custom mode and the
    manual strip) as I did not have time to understand them fully.
    Leaving them at the status quo was better than unintentionally
    breaking something that I did not understand.
  * Make the package build without requiring fakeroot.

 -- Niels Thykier <niels@thykier.net>  Wed, 06 Nov 2024 13:34:25 +0000

integrit (4.1-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.6.1.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Added updated Homepage link to d/control.
  * Added d/watch file pointing to new home.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Apr 2024 23:33:49 +0200

integrit (4.1-4) unstable; urgency=medium

  * QA upload.
  * Build with default libc.

 -- Bastian Germann <bage@debian.org>  Mon, 24 Jul 2023 11:54:26 +0200

integrit (4.1-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format. (Closes: #1007327)

 -- Bastian Germann <bage@debian.org>  Fri, 02 Dec 2022 00:14:34 +0100

integrit (4.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #907097)

 -- Marcos Talau <talau@debian.org>  Fri, 11 Nov 2022 06:13:37 -0300

integrit (4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply change from Andreas Henriksson to add a Built-Using field.
    (Closes: #847577)
  * Apply changes from Chris Lamb and Valerie R Young to make the
    build reproducible. (Closes: #776973, #846891)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2017 16:50:19 +0200

integrit (4.1-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: no longer build and install integrit program from 3.05.
  * debian/diff/doc-html.diff: rename to
    0001-doc-Makefile.in-properly-build-and-clean-html-doc.diff; adapt.
  * debian/rules: apply patches from debian/diff/ with -p1.
  * debian/diff/0002-allow-tTdD-in-config-rule-checksets-as-documented.diff:
    new; allow tTdD in config rule checksets as documented (closes: #436360).

 -- Gerrit Pape <pape@smarden.org>  Thu, 09 Aug 2007 21:39:58 +0000

integrit (4.0-1) unstable; urgency=low

  * new upstream release (closes: #381414).
  * debian/integrit.cron.daily: minor.
  * diff/doc-html.diff: adapt.
  * debian/implicit: update to revision 1.11.
  * integrit-3.05/: new; include sources of previous version in diff to
    help migration to new database format.
  * debian/rules: additionally build integrit program from version 3.05,
    and install as /usr/sbin/integrit3.
  * debian/integrit.NEWS.Debian: note on migration to new database format.

 -- Gerrit Pape <pape@smarden.org>  Mon, 16 Oct 2006 16:34:53 +0000

integrit (3.05-1) unstable; urgency=low

  * new upstream version.
  * debian/control: remove version restriction on Build-Depends:
    dietlibc-dev.
  * debian/copyright: 2005.
  * debian/integrit.cron.daily: head -1 -> head -n1.
  * debian/integrit.docs: add HACKING.
  * debian/integrit.examples: add examples/integrit-run.c.
  * debian/diff/gnupg-md5.diff, debian/diff/include-getopt.h.diff: remove;
    obsolete.
  * debian/rules: add -nostdinc to CC.
  * debian/integrit.NEWS.Debian: update: databases should be re-created
    manually with this version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 25 Sep 2005 22:15:39 +0000

integrit (3.02.00-11) unstable; urgency=low

  * debian/control, debian/rules: add Build-Depends: dietlibc-dev [amd64
    ppc64]; add ppc64 to DIET_ARCHS (thx Andreas Jochens, Frederik Schueler,
    closes: #301013, #301017).

 -- Gerrit Pape <pape@smarden.org>  Fri, 25 Mar 2005 10:42:43 +0000

integrit (3.02.00-10) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev (>> 0.28-0) to make diet
    compiled programs work with a kernel with stack protection (thx Csillag
    Tamas, closes: 299550).
  * debian/implicit: update to revision 1.10.
  * debian/rules: handle DIET_ARCHS and optional patches more gracefully;
    cleanup.

 -- Gerrit Pape <pape@smarden.org>  Tue, 22 Mar 2005 08:39:38 +0000

integrit (3.02.00-9) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev (>> 0.24-5) (closes:
    #232200).
  * debian/implicit: update to revision 1.8.

 -- Gerrit Pape <pape@smarden.org>  Fri, 26 Mar 2004 09:13:41 +0000

integrit (3.02.00-8) unstable; urgency=low

  * debian/rules: don't run dpkg-shlibdeps, integrit programs are linked
    statically even with glibc (fixes build failure on m68k).

 -- Gerrit Pape <pape@smarden.org>  Thu, 22 Jan 2004 08:24:46 +0000

integrit (3.02.00-7) unstable; urgency=low

  * debian/implicit: update to revision 1.5.
  * debian/rules: adapt.
  * debian/integrit.docs: remove debian/README.Debian, now installed
    implicitly.
  * debian/README.Debian: rename to debian/integrit.README.Debian.
  * debian/integrit.NEWS.Debian: new: cron job no longer replaces known.cdb
    (closes: #226706).

 -- Gerrit Pape <pape@smarden.org>  Tue, 20 Jan 2004 10:58:19 +0000

integrit (3.02.00-6) unstable; urgency=low

  * debian/control: no longer Build-Depends: debhelper; Build-Depends:
    dietlibc-dev (>> 0.24-0), now also on s390; Standards-Version: 3.6.1.0.
  * debian/integrit.docs: add README.Debian.
  * debian/integrit.examples: don't use wildcard.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit rules.
  * debian/integrit.conffiles: new.
  * debian/compat, debian/integrit.dirs: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Wed, 17 Dec 2003 15:20:45 +0000

integrit (3.02.00-5) unstable; urgency=low

  * debian/integrit.debian.conf: change EMAIL_SUBJ to show the hostname
    (closes: #201837).


=== debian/control ===
Source: integrit
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), texinfo,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/integrit/integrit
Vcs-Browser: https://salsa.debian.org/debian/integrit
Vcs-Git: https://salsa.debian.org/debian/integrit.git

Package: integrit
Architecture: any
Depends: ${shlibs:Depends},
Recommends: cron,
            mailx,
Description: file integrity verification program
 Integrit helps you determine whether an intruder has modified your
 system.  Without the use of integrit, a sysadmin wouldn't know if the
 programs used for investigating the system are trojan horses or not.
 Integrit works by creating a database that is a snapshot of the most
 essential parts of the system.  You put the database somewhere safe,
 and then later you can use it to make sure that no one has made any
 illicit modifications to your file system.
 .
 Integrit's key features are the small memory footprint, the design
 with unattended use in mind, intuitive cascading rulesets for the
 paths listed in the configuration file, the possibility of XML or
 human-readable output, and simultaneous checks and updates.
 .
 See http://integrit.sourceforge.net/ for more information.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS =-Wall -Drpl_malloc=malloc

DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS +=-g
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS +=-O0
else
  CFLAGS +=-O2
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: nostrip
else
  STRIP = $(DEB_HOST_GNU_TYPE)-strip
endif

DIR =$(shell pwd)/debian/integrit

config: config.status
config.status: configure
	CC='$(CC)' CFLAGS='$(CFLAGS)' sh ./configure \
	  --host='$(DEB_HOST_GNU_TYPE)' \
	  --build='$(DEB_BUILD_GNU_TYPE)' \
	  --prefix=/usr \
	  --mandir='$${prefix}/share/man' \
	  --infodir='$${prefix}/share/info'

build: build-stamp
build-stamp: config.status
	-gcc -v
	$(MAKE)
	$(MAKE) utils
	$(MAKE) -Cdoc html
	touch build-stamp

clean:
	-$(MAKE) distclean
	rm -f build-stamp
	rm -rf '$(DIR)'
	rm -f changelog
	dh_clean

install: build-stamp
	rm -rf '$(DIR)'
	# bin sbin
	install -d -m0755 '$(DIR)'/usr/bin
	install -d -m0755 '$(DIR)'/usr/sbin
	install -m0755 integrit utils/i-viewdb '$(DIR)'/usr/sbin/
	install -m0755 utils/i-ls '$(DIR)'/usr/bin/
	# Maybe `dh_strip` would be better. For now, leaving it as it was
	# in 4.1-5
	$(STRIP) -R .note -R .comment '$(DIR)'/usr/bin/* '$(DIR)'/usr/sbin/*
	# lib
	install -d -m0755 '$(DIR)'/var/lib/integrit/
	# etc
	install -d -m0755 '$(DIR)'/etc/integrit
	install -m0600 debian/integrit.conf \
	  debian/integrit.debian.conf '$(DIR)'/etc/integrit/
	# cron
	dh_installcron
	# man
	dh_installman doc/*.1
	# info
	dh_installinfo doc/integrit.info
	# lintian overrides
	dh_lintian
	# upstream changelog
	rm -f changelog && ln -s Changes changelog
	dh_installchangelogs
	# additional docs
	dh_installdocs
	dh_installexamples
	install -m0755 -d '$(DIR)'/usr/share/doc/integrit/etc
	install -m0644 debian/etc/*.conf '$(DIR)'/usr/share/doc/integrit/etc/
	dh_compress
	dh_fixperms
	# Restore special modes (used 4.1-5 and earlier and no time to figure out why)
	chmod u=rx,go= '$(DIR)'/usr/sbin/*
	chmod go= '$(DIR)'/etc/integrit/*.conf


binary-indep:

binary-arch: install
	dh_makeshlibs
	# The binaries are statically linked, so ${shlib:Depends} never gets
	# generated. Kept it in anyway to avoid people thinking it was missing.i
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: config build clean binary-indep binary-arch binary install

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/integrit-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/integrit/integrit/tags .*/v?(\d\S*)\.tar\.gz
